# Poco

# template < class DT >

# class RotateAtTimeStrategy

Library: Foundation
Package: Logging
Header: Poco/RotateStrategy.h

## Description

The file is rotated at specified [day,][hour]:minute

## Inheritance

Direct Base Classes: RotateStrategy

All Base Classes: RotateStrategy

## Member Summary

Member Functions: mustRotate

Inherited Functions: mustRotate

## Constructors

### RotateAtTimeStrategy

RotateAtTimeStrategy(
const std::string & rtime
);

## Destructor

### ~RotateAtTimeStrategy

~RotateAtTimeStrategy();

## Member Functions

### mustRotate

bool mustRotate(
LogFile * pFile
);

See also: Poco::RotateStrategy::mustRotate()